
#ifndef _WavFile_H_
#define _WavFile_H_

#include "SoundFile.h"

class CWaveFile;

/////////////////////////////////////////////////////////////////////////////////////////
//

class CWavFile : public ISoundFile
{
	CWaveFile *	m_pWaveFile;
	char *		m_pszFilename;

public:
	CWavFile();
	CWavFile( const char * );
	~CWavFile();

	void	Create( const char * );
	void	Destroy();
	WORD	GetBitsPerSample();
	DWORD	GetSamplePerSec();
	WORD	GetChannelCount();
	DWORD	GetSize();
	void	Reset();
	size_t	Read( void * pBuf, size_t readSize );
	size_t	ReadWhole( void * pBuf );

	const char *	GetFilename();
};

/////////////////////////////////////////////////////////////////////////////////////////

#endif